Get a CI run
GET
/api/orgs/{org}/projects/{project}/runs/{runId}
const url = 'https://api.wrktr.com/api/orgs/example/projects/example/runs/example';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.wrktr.com/api/orgs/example/projects/example/runs/example \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”- bearer
- None
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”org
required
string
project
required
string
runId
required
string
Responses
Section titled “Responses”CiRunView
Media typeapplication/json
object
id
required
string
branch
required
string
head
required
string
status
required
string
checks
required
Array<object>
object
name
required
string
status
required
string
required
required
boolean
tail
required
string
hasLog
required
boolean
cached
required
boolean
Example
{ "status": "queued", "checks": [ { "status": "queued", "exitCode": "Infinity", "durationMs": "Infinity", "retry": { "attempt": "Infinity", "attempts": "Infinity" } } ], "createdAt": "Infinity", "startedAt": "Infinity", "finishedAt": "Infinity", "heartbeatAt": "Infinity"}Unauthorized
Media typeapplication/json
object
_tag
required
string
message
required
string
Example
{ "_tag": "Unauthorized"}ProjectNotFound | NotFound